<div nz-row nzType="flex" nzJustify="space-between" style="margin-top: 5px">
  <div nz-col nzXs="24" nzSm="8" nzLg="8">
    <div style="display: flex; justify-content: center;">
      <img [src]="battle?.defenderCountry?.flagLocation" class="avatar-big" />
      <div style="padding-left: 5px; margin-top: 5px">
        <div style="text-align: center">
          <nz-tag [nzColor]="'#108ee9'">{{ 'Military.Battles.Defending' | translate }}</nz-tag>
        </div>
        <h2>
          {{ battle?.defenderCountry?.name | translate }}
        </h2>
      </div>
    </div>
  </div>

  <div nz-col nzXs="24" nzSm="8" nzLg="8" style="text-align: center">
    <h3>
      {{ 'Military.Battles.BattleAtRegion' | translate }}:
      <a [routerLink]="['/region', battle?.region.id]" target="_blank">{{
        battle?.region.name
        }}</a>
      <div *ngIf="battle?.isCivilWar === true">
        <nz-tag [nzColor]="'volcano'">{{ 'Military.Wars.CivilWar' | translate }}</nz-tag>
        <nz-tag>{{ 'Military.Battles.StartedBy' | translate }}:
          <a target="_blank" [routerLink]="['/citizen', battle?.createdBy.id]">{{ battle?.createdBy.name
            }}</a></nz-tag>
      </div>
      <div *ngIf="battle?.isResistance === true">
        <nz-tag [nzColor]="'volcano'">{{ 'Military.Battles.Resistance' | translate }}</nz-tag>
        <nz-tag>{{ 'Military.Battles.StartedBy' | translate }}:
          <a target="_blank" [routerLink]="['/citizen', battle?.createdBy.id]">{{ battle?.createdBy.name
            }}</a></nz-tag>
      </div>
      <div style="margin-top: 5px">
        <!-- BATTLE STATS -->
        <button nz-button nzType="default" nzSize="small" [routerLink]="['/battle', battle.id, 'stats']" nzShape="round"
          nz-tooltip="{{ 'Military.Battles.BattleStatistics' | translate }}">
          <i class="fa-solid fa-chart-column"></i>
        </button>

        <!-- BATTLE RETREAT -->
        <a *ngIf="isCP && battle?.isResistance === false" nz-popconfirm
          nzPopconfirmTitle="{{ 'Military.Battles.rysRetreat' | translate }}" nzPopconfirmPlacement="bottom"
          (nzOnConfirm)="retreat()" style="margin-left: 10px">
          <button nz-button nzDanger nzSize="small" nz-tooltip nzShape="round"
            nzTooltipTitle="{{ 'Military.Battles.retreatBattleCP' | translate }}" (onClick)="retreat()">
            <i class="fas fa-running"></i>
          </button>
        </a>
      </div>
    </h3>
  </div>


  <div nz-col nzXs="24" nzSm="8" nzLg="8">
    <div style="display: flex; justify-content: center;">
      <div style="padding-right: 10px; margin-top: 5px">
        <div style="text-align: center">
          <nz-tag [nzColor]="'#FF0000'">{{ 'Military.Battles.Attacking' | translate }}</nz-tag>
        </div>
        <h2>
          {{ battle?.attackerCountry?.name | translate }}
        </h2>
      </div>

      <img [src]="battle?.attackerCountry?.flagLocation" class="avatar-big" />
    </div>
  </div>
</div>